#include <qapplication.h>
#include <qgrid.h>

#include <lights.h>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QGrid grid(1, Qt::Vertical);
//    grid.setMargin(10);
    grid.setSpacing(10);

    for (int i = 0; i < 6; ++i) {
        Lights *lights = new Lights(&grid);
        lights->setDiameter(30);
    }

    app.setMainWidget(&grid);
    grid.show();
    return app.exec();
}
